package yuehaoxitong

import "shylinux.com/x/ice"

type reception struct {
	Table
	fields string `data:"name"`
	create string `name:"create name*" role:"leader"`
	rename string `name:"rename name*" role:"leader"`
	remove string `name:"remove" role:"leader"`
}

func (s reception) Create(m *ice.Message, arg ...string) { s.ValueCreate(m, arg...) }
func (s reception) Rename(m *ice.Message, arg ...string) { s.ValueModify(m, arg...) }
func (s reception) Remove(m *ice.Message, arg ...string) { s.ValueRemove(m, arg...) }
func (s reception) List(m *ice.Message, arg ...string) {
	if s.ValueList(m, arg); len(arg) > 0 {
		m.PushAction(s.Rename, s.Remove)
	}
}

func init() { ice.TeamCtxCmd(reception{}) }
